| Qore QUnit Module Reference 0.4.3

Public Member Functions | List of all members
QUnit::TestResultExceptionSubstring Class Reference

Class representing Exception of a particular type and substring for detail. More...

Inheritance diagram for QUnit::TestResultExceptionSubstring:
[legend]

## Public Member Functions
string | toString ()
| returns a string describing the exception type
Public Member Functions inherited from QUnit::TestResultExceptionRegexp
bool | equals (QUnit::AbstractTestResult r)
| Equality operator.
Public Member Functions inherited from QUnit::TestResultExceptionType
| constructor (string exceptionType)
| creates the object from the exception arguments More...

## Additional Inherited Members
Public Attributes inherited from QUnit::TestResultExceptionType
string | m_exceptionType
| corresponds to the `"err"` key of ExceptionInfo (the first value of a throw statement)
Protected Member Functions inherited from QUnit::TestResultExceptionType
| constructor (string exceptionType, string subType)
| private constructor for subclasses

## Detailed Description

Class representing Exception of a particular type and substring for detail.